## celtenc celtenc — Encodes audio in Celt format |

## Synopsis

                        GstCeltEnc;

## Properties

      "bitrate"                  gint                  : Read / Write
      "framesize"                gint                  : Read / Write
      "cbr"                      gboolean              : Read / Write
      "complexity"               gint                  : Read / Write
      "max-bitrate"              gint                  : Read / Write
      "prediction"               GstCeltEncPrediction  : Read / Write
      "start-band"               gint                  : Read / Write

## Description

This element raw audio to CELT.

### Example pipelines

    1
    gst-launch -v audiotestsrc wave=sine num-buffers=100 ! audioconvert ! celtenc ! oggmux ! filesink location=sine.ogg

Encode a test sine signal to Ogg/CELT.

## Details

### GstCeltEnc

    typedef struct {
      GstElement            element;

      /* pads */
      GstPad                *sinkpad;
      GstPad                *srcpad;

      CELTHeader            header;
      CELTMode             *mode;
      CELTEncoder          *state;
      GstAdapter           *adapter;

      gint                  bitrate;
      gint                  frame_size;
      gboolean              cbr;
      gint                  complexity;
      gint                  max_bitrate;
      gint                  prediction;
      gint                  start_band;

      gint                  channels;
      gint                  rate;

      gboolean              setup;
      gboolean              header_sent;
      gboolean              eos;

      guint64               samples_in;
      guint64               bytes_out;

      guint64               frameno;
      guint64               frameno_out;

      GstClockTime     start_ts;
      GstClockTime     next_ts;
      guint64          granulepos_offset;
    } GstCeltEnc;

## Property Details

### The `"bitrate"` property

      "bitrate"                  gint                  : Read / Write

Specify an encoding bit-rate (in Kbps).

Allowed values: [10,320]

Default value: 64

### The `"framesize"` property

      "framesize"                gint                  : Read / Write

The number of samples per frame.

Allowed values: [64,512]

Default value: 480

### The `"cbr"` property

      "cbr"                      gboolean              : Read / Write

Constant bit rate.

Default value: TRUE

### The `"complexity"` property

      "complexity"               gint                  : Read / Write

Complexity.

Allowed values: [0,10]

Default value: 9

### The `"max-bitrate"` property

      "max-bitrate"              gint                  : Read / Write

Specify a maximum encoding bit rate (in Kbps) for variable bit rate encoding.

Allowed values: [10,320]

Default value: 64

### The `"prediction"` property

      "prediction"               GstCeltEncPrediction  : Read / Write

Controls the use of interframe prediction.

Default value: Independent frames

### The `"start-band"` property

      "start-band"               gint                  : Read / Write

Controls the start band that should be used.

Allowed values: >= 0

Default value: 0

## See Also

celtdec, oggmux